/* 
   getmode.c (conforming K&R)
   returns uid, gid, size and mode-mask of a given file

   (w) 1994 by Wolfgang Stumvoll
               stumvoll@pool.informatik.rwth-aachen.de
*/

/*{{{}}}*/
/*{{{  includes*/
#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
/*}}}  */

int main(argc,argv) int argc;char **argv;
{  int ret=0;

   struct stat result;

   if (stat(argv[1],&result))
     /*{{{  complain on stat-fail*/
     { fprintf(stderr,"stat %s failed\n",argv[1]);
       ret=1;
     } 
     /*}}}  */
   else
     /*{{{  print uid, gid, size and mode-mask*/
     fprintf
      ( stdout,
        "%d %d %ld %o\n",
        (int)result.st_uid,
        (int)result.st_gid,
        (long)result.st_size,
        (int)(result.st_mode&07777)
      );
     /*}}}  */

  return(ret);
}
